MorfologikTagDictionary (Apache OpenNLP Morfologik Addon 1.9.5 API)
Date: 2026-06-18

opennlp.morfologik.tagdict

## Class MorfologikTagDictionary

- java.lang.Object
- - opennlp.morfologik.tagdict.MorfologikTagDictionary

- All Implemented Interfaces:
    opennlp.tools.postag.TagDictionary

      public class MorfologikTagDictionary
      extends Object
      implements opennlp.tools.postag.TagDictionary

  A POS Tagger dictionary implementation based on Morfologik binary dictionaries

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MorfologikTagDictionary(morfologik.stemming.Dictionary dict)` Creates a case sensitive `MorfologikTagDictionary`
    `MorfologikTagDictionary(morfologik.stemming.Dictionary dict, boolean caseSensitive)` Creates MorfologikLemmatizer

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getTags(String word)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MorfologikTagDictionary

          public MorfologikTagDictionary(morfologik.stemming.Dictionary dict)
                                  throws IllegalArgumentException,
                                         IOException

      Creates a case sensitive `MorfologikTagDictionary`
      Parameters:
        `dict` - a Morfologik FSA dictionary
      Throws:
        `IllegalArgumentException` - if FSA's root node cannot be acquired (dictionary is empty).
        `IOException` - could not read dictionary from dictURL

    - #### MorfologikTagDictionary

          public MorfologikTagDictionary(morfologik.stemming.Dictionary dict,
                                         boolean caseSensitive)
                                  throws IllegalArgumentException,
                                         IOException

      Creates MorfologikLemmatizer
      Parameters:
        `dict` - a Morfologik FSA dictionary
        `caseSensitive` - if true it performs case sensitive lookup
      Throws:
        `IllegalArgumentException` - if FSA's root node cannot be acquired (dictionary is empty).
        `IOException` - could not read dictionary from dictURL

  - ### Method Detail

    - #### getTags

          public String[] getTags(String word)

      Specified by:
        `getTags` in interface `opennlp.tools.postag.TagDictionary`

Copyright © 2026 The Apache Software Foundation. All rights reserved.